import { webFonts } from './remoteAssets/fonts';
import { jsx as _jsx } from "react/jsx-runtime";
import { Fragment as _Fragment } from "react/jsx-runtime";
export var createFontLinks = function createFontLinks() {
  return webFonts.flatMap(function (_ref) {
    var filePath = _ref.filePath,
      extensions = _ref.extensions;
    return extensions.map(function (ext) {
      return /*#__PURE__*/_jsx("link", {
        rel: "preload",
        href: "".concat(filePath, ".").concat(ext),
        crossOrigin: "anonymous",
        as: "font",
        type: "font/".concat(ext)
      }, "".concat(filePath, "-").concat(ext));
    });
  });
};
export var AssetProvider = function AssetProvider() {
  return /*#__PURE__*/_jsx(_Fragment, {
    children: createFontLinks()
  });
};